/*
 * Auto Payment Calculator V1.0.1beta
 * Copyright (C) 1997  Eric A. Griff
 *
 * An Auto Payment Calculator.
 *
 * *Portions of this code use xforms-0.86 which is copyrighted as
 *
 *    Copyright (C) 1996-1997 by T.C. Zhao and Mark Overmars. ALL RIGHTS 
 *      RESERVED
 *
 */

#include "forms.h"
#include "apc.h"
#include "mathfun.h"

double famount;
int fterm;
double frate;
int fweeks;

FD_pymain *fd_pymain;


int main(int argc, char *argv[])
{
/*   FD_About_Box *fd_About_Box; */

   fl_initialize(&argc, argv, 0, 0, 0);
   fd_pymain = create_form_pymain();
/*   fd_About_Box = create_form_About_Box(); */

   /* fill-in form initialization code */
   famount = 0.0;
   frate = 0.0;
   fterm = 0;


   /* show the first form */
   fl_show_form(fd_pymain->pymain,FL_PLACE_CENTER,FL_FULLBORDER,"Auto Payment Calculator");
   fl_do_forms();

#ifdef DEBBUGGING
   printf("Term=%d, Amount=%3.2f, Rate=%3.2f\n",fterm,famount,frate);
   printf("wpmt=%3.2f, mpmt=%3.2f\n",wpmt(famount,frate,fterm),mpmt(famount,frate,fterm));
#endif /*DEBBUGGING */

   return 0;
}
